# Accounts API: Organizations

## GET /api/accounts/organizations/{organization}

>

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"ProblemDetails":{"type":"object","properties":{"Type":{"type":"string","nullable":true},"Title":{"type":"string","nullable":true},"Status":{"type":"integer","format":"int32","nullable":true},"Detail":{"type":"string","nullable":true},"Instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/api/accounts/organizations/{organization}":{"get":{"tags":["Accounts API: Organizations"],"parameters":[{"name":"organization","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}}}
```

## HEAD /api/accounts/organizations/{organization}

>

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}}},"paths":{"/api/accounts/organizations/{organization}":{"head":{"tags":["Accounts API: Organizations"],"parameters":[{"name":"organization","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"boolean"}},"text/json":{"schema":{"type":"boolean"}}}}}}}}}
```

## GET /api/accounts/organizations/count

>

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}}},"paths":{"/api/accounts/organizations/count":{"get":{"tags":["Accounts API: Organizations"],"parameters":[{"name":"CompanyNameContains","in":"query","schema":{"type":"string"}},{"name":"OrganizationCode","in":"query","schema":{"type":"string"}},{"name":"Identifier","in":"query","schema":{"type":"string","format":"uuid"}},{"name":"Origin.When","in":"query","schema":{"type":"string","format":"date-time"}},{"name":"Origin.Organization","in":"query","schema":{"type":"string","format":"uuid"}},{"name":"Origin.User","in":"query","schema":{"type":"string","format":"uuid"}},{"name":"Origin.Proxy","in":"query","schema":{"type":"string","format":"uuid"}},{"name":"Origin.Description","in":"query","schema":{"type":"string"}},{"name":"Origin.Reason","in":"query","schema":{"type":"string"}},{"name":"Origin.Source","in":"query","schema":{"type":"string"}},{"name":"Filter.Page","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"Filter.PageSize","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"Filter.Sort","in":"query","schema":{"type":"string"}},{"name":"Filter.Excludes","in":"query","schema":{"type":"string"}},{"name":"Filter.Includes","in":"query","schema":{"type":"string"}},{"name":"Filter.Format","in":"query","schema":{"type":"string"}},{"name":"Texts","in":"query","schema":{"type":"object","additionalProperties":{"type":"string","nullable":true}}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"integer","format":"int32"}},"text/json":{"schema":{"type":"integer","format":"int32"}}}}}}}}}
```

## GET /api/accounts/organizations

>

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"OrganizationModel":{"type":"object","properties":{"AdministratorUserId":{"type":"string","format":"uuid","nullable":true},"GlossaryId":{"type":"string","format":"uuid","nullable":true},"AccountStatus":{"type":"string","nullable":true},"CompanyName":{"type":"string","nullable":true},"CompanySize":{"type":"string","nullable":true},"CompanySummary":{"type":"string","nullable":true},"CompanyTitle":{"type":"string","nullable":true},"CompanyWebSiteUrl":{"type":"string","nullable":true},"CompetencyAutoExpirationMode":{"type":"string","nullable":true},"OrganizationCode":{"type":"string","nullable":true},"OrganizationData":{"type":"string","nullable":true},"OrganizationLogoUrl":{"type":"string","nullable":true},"PersonFullNamePolicy":{"type":"string","nullable":true},"StandardContentLabels":{"type":"string","nullable":true},"TimeZone":{"type":"string","nullable":true},"CompetencyAutoExpirationDay":{"type":"integer","format":"int32","nullable":true},"CompetencyAutoExpirationMonth":{"type":"integer","format":"int32","nullable":true},"AccountClosed":{"type":"string","format":"date-time","nullable":true},"AccountOpened":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false}}},"paths":{"/api/accounts/organizations":{"get":{"tags":["Accounts API: Organizations"],"parameters":[{"name":"CompanyNameContains","in":"query","schema":{"type":"string"}},{"name":"OrganizationCode","in":"query","schema":{"type":"string"}},{"name":"Identifier","in":"query","schema":{"type":"string","format":"uuid"}},{"name":"Origin.When","in":"query","schema":{"type":"string","format":"date-time"}},{"name":"Origin.Organization","in":"query","schema":{"type":"string","format":"uuid"}},{"name":"Origin.User","in":"query","schema":{"type":"string","format":"uuid"}},{"name":"Origin.Proxy","in":"query","schema":{"type":"string","format":"uuid"}},{"name":"Origin.Description","in":"query","schema":{"type":"string"}},{"name":"Origin.Reason","in":"query","schema":{"type":"string"}},{"name":"Origin.Source","in":"query","schema":{"type":"string"}},{"name":"Filter.Page","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"Filter.PageSize","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"Filter.Sort","in":"query","schema":{"type":"string"}},{"name":"Filter.Excludes","in":"query","schema":{"type":"string"}},{"name":"Filter.Includes","in":"query","schema":{"type":"string"}},{"name":"Filter.Format","in":"query","schema":{"type":"string"}},{"name":"Texts","in":"query","schema":{"type":"object","additionalProperties":{"type":"string","nullable":true}}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/OrganizationModel"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/OrganizationModel"}}}}}}}}}}
```

## GET /api/accounts/organizations/search

>

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"OrganizationMatch":{"type":"object","properties":{"CompanyName":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/accounts/organizations/search":{"get":{"tags":["Accounts API: Organizations"],"parameters":[{"name":"CompanyNameContains","in":"query","schema":{"type":"string"}},{"name":"OrganizationCode","in":"query","schema":{"type":"string"}},{"name":"Identifier","in":"query","schema":{"type":"string","format":"uuid"}},{"name":"Origin.When","in":"query","schema":{"type":"string","format":"date-time"}},{"name":"Origin.Organization","in":"query","schema":{"type":"string","format":"uuid"}},{"name":"Origin.User","in":"query","schema":{"type":"string","format":"uuid"}},{"name":"Origin.Proxy","in":"query","schema":{"type":"string","format":"uuid"}},{"name":"Origin.Description","in":"query","schema":{"type":"string"}},{"name":"Origin.Reason","in":"query","schema":{"type":"string"}},{"name":"Origin.Source","in":"query","schema":{"type":"string"}},{"name":"Filter.Page","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"Filter.PageSize","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"Filter.Sort","in":"query","schema":{"type":"string"}},{"name":"Filter.Excludes","in":"query","schema":{"type":"string"}},{"name":"Filter.Includes","in":"query","schema":{"type":"string"}},{"name":"Filter.Format","in":"query","schema":{"type":"string"}},{"name":"Texts","in":"query","schema":{"type":"object","additionalProperties":{"type":"string","nullable":true}}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/OrganizationMatch"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/OrganizationMatch"}}}}}}}}}}
```

## POST /api/accounts/organizations/search

>

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"SearchOrganizations":{"type":"object","properties":{"CompanyNameContains":{"type":"string","nullable":true},"OrganizationCode":{"type":"string","nullable":true}},"additionalProperties":false},"OrganizationMatch":{"type":"object","properties":{"CompanyName":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/accounts/organizations/search":{"post":{"tags":["Accounts API: Organizations"],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/SearchOrganizations"}},"application/json":{"schema":{"$ref":"#/components/schemas/SearchOrganizations"}},"text/json":{"schema":{"$ref":"#/components/schemas/SearchOrganizations"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/SearchOrganizations"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/OrganizationMatch"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/OrganizationMatch"}}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.shiftiq.com/developers/api-v2/navigating-the-api/accounts-api-organizations.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
